FIX::Settings Class Reference

Internal representation of QuickFIX configuration settings. More...

`#include <Settings.h>`

## Public Types

typedef std::vector< Dictionary > | Sections

## Public Member Functions

| Settings (bool resolveEnvVars=false)
Sections | get (const std::string &name) const

## Private Attributes

Sections | m_sections
bool | m_resolveEnvVars

## Friends

std::istream & | operator>> (std::istream &, Settings &)

## Detailed Description

Internal representation of QuickFIX configuration settings.

Definition at line 55 of file Settings.h.

## Member Typedef Documentation

## Sections

typedef std::vector< Dictionary > FIX::Settings::Sections

Definition at line 77 of file Settings.h.

## Constructor & Destructor Documentation

## Settings()

FIX::Settings::Settings | ( | bool | resolveEnvVars = `false` | ) |

inline

Definition at line 75 of file Settings.h.

## Member Function Documentation

## get()

Settings::Sections FIX::Settings::get | ( | const std::string & | name | ) | const

Definition at line 179 of file Settings.cpp.

## Friends And Related Function Documentation

## operator>>

std::istream& operator>> | ( | std::istream & | ,
|  | Settings & |
| ) |  |

friend

Definition at line 151 of file Settings.cpp.

{
std::pair<std::string, std::string> keyValue = splitKeyValue( line );
if( section == s.m_sections.end() )
continue;
(*section).setString( keyValue.first, s.m_resolveEnvVars ? resolveEnvVars(keyValue.second) : keyValue.second );
}
}
return stream;
}
Settings::Sections Settings::get( const std::string& name ) const
{
Sections sections;
for ( Sections::size_type i = 0; i < m_sections.size(); ++i )
if ( m_sections[ i ].getName() == name )
sections.push_back( m_sections[ i ] );
return sections;
}
}

## Member Data Documentation

## m_resolveEnvVars

bool FIX::Settings::m_resolveEnvVars

private

Definition at line 84 of file Settings.h.

## m_sections

Sections FIX::Settings::m_sections

private

Definition at line 83 of file Settings.h.

The documentation for this class was generated from the following files:

- Settings.h
- Settings.cpp

FIX::Settings::Sections
std::vector< Dictionary > Sections
Definition: Settings.h:77
FIX::Settings::get
Sections get(const std::string &name) const
Definition: Settings.cpp:179
FIX::resolveEnvVars
std::string resolveEnvVars(const std::string &str)
Definition: Settings.cpp:82
FIX::splitKeyValue
std::pair< std::string, std::string > splitKeyValue(const std::string &line)
Definition: Settings.cpp:74
FIX::Settings::m_sections
Sections m_sections
Definition: Settings.h:83